
#property copyright ""
#property link      ""

#property indicator_separate_window
#property indicator_buffers 2 
#property indicator_color1 DodgerBlue
#property indicator_color2 Red
#property indicator_level1 0


extern int     MovingAvg1 = 3 ;
extern int     MovingAvg2 = 8 ;
extern int     MovingAvg3 = 20;


double         Buffer1[], Buffer2[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
      IndicatorBuffers(2);

      SetIndexBuffer(0, Buffer1);
      SetIndexStyle(0,DRAW_LINE,STYLE_SOLID);
      SetIndexLabel(0,"AV1-AVG2");
      
      SetIndexBuffer(1, Buffer2);
      SetIndexStyle(1,DRAW_LINE,STYLE_SOLID);
      SetIndexLabel(1,"AVG3-AVG2");
      
//----
   return(0);
  }
//+----------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   Comment(" ");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int limit;
   int counted_bars=IndicatorCounted();
//---- last counted bar will be recounted
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
   
   for(int i=0; i<limit; i++)   
      {
       Buffer1[i] = iMA(NULL,0,MovingAvg1,0,MODE_EMA,PRICE_CLOSE,i) - 
                    iMA(NULL,0,MovingAvg2,0,MODE_EMA,PRICE_CLOSE,i);
                    
       Buffer2[i] = iMA(NULL,0,MovingAvg3,0,MODE_EMA,PRICE_CLOSE,i) -             
                    iMA(NULL,0,MovingAvg2,0,MODE_EMA,PRICE_CLOSE,i);
      }
        
//----
   Comment ( Buffer1[0], "   ", Buffer2[0] );
//----
   return(0);
  }
//+------------------------------------------------------------------+